Bug 26968 - [QT] Add API to reload without using cache
: [QT] Add API to reload without using cache
Status: RESOLVED FIXED
: WebKit
WebKit Qt
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-07-04 12:08 PST by
Modified: 2009-07-16 15:52 PST (History)


Attachments
Implementation (3.46 KB, patch)
2009-07-04 12:08 PST, Benjamin Meyer
manyoso: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-04 12:08:06 PST
Created an attachment (id=32258) [details]
Implementation

Webkit's reload function takes an argument to reload with and without cache.  This is used to populate the QNetworkRequest cacheloadcontrol enum (http://doc.trolltech.com/4.5/qnetworkrequest.html#CacheLoadControl-enum) when creating a QNetworkRequest.  Currently the Qt api has an action for reload, but no action for reload without cache.  This patch adds that action to QtWebkit.

This functionality is often seen in browsers/viewers as holding down shift while clicking on the reload button.
------- Comment #1 From 2009-07-14 05:28:07 PST -------
(From update of attachment 32258 [details])
The patch looks good.  It would be nice to have a auto test for this, but I'll leave that to you. r=me.
------- Comment #2 From 2009-07-16 15:52:00 PST -------
Committing to http://svn.webkit.org/repository/webkit/trunk ...
    M    WebKit/qt/Api/qwebpage.cpp
    M    WebKit/qt/Api/qwebpage.h
    M    WebKit/qt/ChangeLog
Committed r45992
    M    WebKit/qt/ChangeLog
    M    WebKit/qt/Api/qwebpage.h
    M    WebKit/qt/Api/qwebpage.cpp
r45992 = 07140812d3b66bc458d9e5e916c73eb3cd978919 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/45992